# Get contact exporter by ID

Get a contact exporter by ID.

Endpoint: GET /campaign-workers/contact-exporters/{contactExporterId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `contactExporterId` (string, required)
    The contactExporter object unique identifier.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    A contact exporter represents instructions on how to transform a
campaign run into a finalized list.

  - `data.checkCanInteractData` (object)
    If set, screen contacts through Compliance Guard using provided data.

  - `data.checkCanInteractData.isAutodialed` (boolean)
    `true` if an autodialed call. If no value is passed, we'll assume
isAutodialed=`false`—meaning a manual call was performed.
For more information on why this is important reference the
Telephone Consumer Protection Act (TCPA).

  - `data.checkCanInteractData.loansFromCollCase` (boolean)
    If `true`, look up the associated collections case for this borrower,
and, if it exists, use the loans in collections as input to this endpoint.
This cannot be used in conjunction with `loanId` or `loanIds` fields.
If there are no loans in collections for this borrower (i.e., no collections case),
then this endpoint executes normally as if `loanIds` were not provided.
Note:
- Borrowers may only have one collections case at a time.
- This will mostly only be useful with collections-related themes: `opsCollDebt`,
`opsCollLocateBorrower`, `opsCollVerifyEmployment`, and `opsCollContactEmployerNotice`,
but it is permissible to use with other themes.

  - `data.checkCanInteractData.theme` (string)
    The reason why an interaction occurred.
For example:
- An outbound debt collection call should be marked as `opsCollDebt`.
- An annual privacy policy update email should be marked as `opsServicing`.
- A customer service response to borrower's inquiry should be marked as `opsServicing`.

**DEPRECATED**: `inbBug`, `inbHumanLove`, and `opsServicingNegativeCreditReportNotice` are deprecated:
you cannot create or update interactions to have these values.
    Enum: "agentNotification", "opsCollDebt", "opsCollLocateBorrower", "opsCollVerifyEmployment", "opsCollContactEmployerNotice", "opsServicingDebtValidation", "opsServicingNegativeCreditReportNotice", "opsServicingTimeBarredNotice", "opsServicing", "opsAccountCredentials", "inbMissingFeature", "inbEducation", "inbBug", "inbRequest", "inbHumanLove", "inbUnknown", "inbOther", "inbServicing", "inbCollections", "inbPayments", "inbFraud", "inbGeneralInquiry"

  - `data.columnSettings` (array)
    A list of dictionaries where each dictionary specifies a field to include as a column in the result
file along with optional output column name.

  - `data.columnSettings.field` (string)
    The field name of the data source.
All fields are relative to *the contact*. i.e., the `id` field is the contact's ID, and not
the associated borrower's ID.
Note that fields prefixed with `borrower...` are fields which will always return information
about this contact's associated borrower. For example, if the contact has `affiliation=spouse`,
the `borrowerDateOfBirth` field will contain the borrower's date of birth, and NOT contain the
borrower's spouse's date of birth.
Only the following values are currently supported:
## Contact Metadata
- `affiliation` - This contact's affiliation with the borrower. For example, if this were a borrower's
lawyer contact, this value will be `legal`; Or, if this were a borrower's own contact it would be `self`.
- `externalId` - This contact's external ID, or `null` if it does not have one.
- `id` - This contact's ID—starts with `CT-...`
- `label` - This contact's label—one of: `personal`, `home`, `work`, `military`
- `name` - This contact's full name.
- `status` - This contact's status—one of: `primary`, `secondary`, `additional`, `archived`

## Associated Borrower Metadata
- `borrowerCrmUrl` - The associated borrower's management page URL in the Peach CRM
- `borrowerDateOfBirth` - The associated borrower's date of birth, formatted like YYYY/MM/DD
- `borrowerFirstName` - The associated borrower's first name.
- `borrowerId` - The associated borrower's ID—starts with `BO-...`.
- `borrowerLastName` - The associated borrower's last name.
- `borrowerMaidenLastName` - The associated borrower's maiden name.
- `borrowerMiddleName` - The associated borrower's middle name.
- `borrowerPortalUrl` - The associated borrower's loan portal page URL
- `borrowerPreferredFirstName` - The associated borrower's preferred first name.
- `borrowerPrimaryAddress` - The primary address for the associated borrower.

## Collections Related
- `collectionsAmountOverdue` - The total amount overdue for the active collections case, or
blank if there is no active case. (This is the same value as in the `totalAmounts.overdue`
field of the active collections case.)
- `collectionsCaseCrmUrl` - A URL to the active collection case in the Peach CRM for the
associated borrower; or blank if there is no active case.
- `consentsToAutodialedColl` — The value for the `AutodialedColl` consent. This consent
identifies if the associated borrower has consented to received autodialed collection
calls. If consent has been granted this value is `"consented"`, otherwise `"revoked"`. (If
there was an error fetching this information this field could be `"error"`.) See
Consents for more information on consents.

  - `data.columnSettings.outputName` (string)
    Name of the column to use in exported CSV file. If not specified, then
use the `field` name.

  - `data.contactMatchingCriteria` (object)
    Settings for selecting a person's contact information to include in export data. An empty attribute
is not allowed. Multiple attributes act as "AND" filters. E.g., a contact must
have an affiliation of "self" AND a label of "home" in order to match. If multiple
values are specified for an attribute, the values act as "OR" conditions within that attribute.

  - `data.contactMatchingCriteria.affiliation` (array)
    Array of person's contact affiliations. If multiple values are provided, values act as OR condition.

  - `data.contactMatchingCriteria.contactType` (array)
    Array of person's contact types. Currently only "Phone" is supported.

  - `data.contactMatchingCriteria.label` (array)
    Array of person's contact labels. If multiple values are provided, values act as OR condition.

  - `data.contactMatchingCriteria.status` (array)
    Array of person's contact statuses. The values of this enumeration are used for getting the contact
with the highest priority. Items with lower number have higher priority. If multiple values are
provided, values act as OR condition.

